summaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2016-12-21 10:34:14 -0600
committerNarinder Gupta <narinder.gupta@canonical.com>2016-12-21 10:44:28 -0600
commit735846bdb8e4623c24fc045a79ce82389fdff70c (patch)
tree36e96d4ea1fe4676a4031e96ff026c2b6362ea73 /ci/deploy.sh
parente1a69393af42bbe9faf77e318e3cd6c84b264a1b (diff)
Added kubernetes core bundle support.
Change-Id: Ic2c5c4e1b76ac1caa8a4d2373661ebeb83e8971b Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh41
1 files changed, 25 insertions, 16 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 4c24f069..d99c53e3 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -13,6 +13,7 @@ opnfvrel=c
opnfvfeature=none
opnfvdistro=xenial
opnfvarch=amd64
+opnfvmodel=openstack
jujuver=`juju --version`
@@ -31,9 +32,10 @@ usage() { echo "Usage: $0 [-s <nosdn|odl|opencontrail>]
[-f <ipv6,dpdk,lxd,dvr>]
[-d <trusty|xenial>]
[-a <amd64>]
+ [-m <openstack|kubernates>]
[-r <a|b>]" 1>&2 exit 1; }
-while getopts ":s:t:o:l:h:r:f:d:a:" opt; do
+while getopts ":s:t:o:l:h:r:f:d:a:m:" opt; do
case "${opt}" in
s)
opnfvsdn=${OPTARG}
@@ -59,6 +61,9 @@ while getopts ":s:t:o:l:h:r:f:d:a:" opt; do
a)
opnfvarch=${OPTARG}
;;
+ m)
+ opnfvmodel=${OPTARG}
+ ;;
h)
usage
;;
@@ -145,7 +150,7 @@ deploy() {
fi
#case default deploy the opnfv platform:
- ./02-deploybundle.sh $opnfvtype $openstack $opnfvlab $opnfvsdn $opnfvfeature $opnfvdistro
+ ./02-deploybundle.sh $opnfvtype $openstack $opnfvlab $opnfvsdn $opnfvfeature $opnfvdistro $opnfvmodel
}
#check whether charms are still executing the code even juju-deployer says installed.
@@ -166,9 +171,10 @@ check_status() {
fi
done
- juju expose ceph-radosgw
- #juju ssh ceph/0 \ 'sudo radosgw-admin user create --uid="ubuntu" --display-name="Ubuntu Ceph"'
-
+ if [[ "$opnfvmodel" = "openstack" ]]; then
+ juju expose ceph-radosgw || true
+ #juju ssh ceph/0 \ 'sudo radosgw-admin user create --uid="ubuntu" --display-name="Ubuntu Ceph"'
+ fi
echo "...... deployment finishing ......."
}
@@ -179,20 +185,23 @@ check_status
echo "...... deployment finished ......."
-./openstack.sh "$opnfvsdn" "$opnfvlab" "$opnfvdistro" "$openstack" || true
+if [[ "$opnfvmodel" = "openstack" ]]; then
+ ./openstack.sh "$opnfvsdn" "$opnfvlab" "$opnfvdistro" "$openstack" || true
-# creating heat domain after puching the public API into /etc/hosts
+ # creating heat domain after puching the public API into /etc/hosts
-if [[ "$jujuver" > "2" ]]; then
- status=`juju run-action heat/0 domain-setup`
- echo $status
-else
- status=`juju action do heat/0 domain-setup`
- echo $status
-fi
+ if [[ "$jujuver" > "2" ]]; then
+ status=`juju run-action heat/0 domain-setup`
+ echo $status
+ else
+ status=`juju action do heat/0 domain-setup`
+ echo $status
+ fi
-sudo ../juju/get-cloud-images || true
-../juju/joid-configure-openstack || true
+ sudo ../juju/get-cloud-images || true
+ ../juju/joid-configure-openstack || true
+
+fi
echo "...... finished ......."